# Generated by Django 4.2 on 2024-03-04 17:00

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Answer',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.CharField(max_length=255, verbose_name='Ответ')),
                ('text_ru', models.CharField(max_length=255, null=True, verbose_name='Ответ')),
                ('text_ky', models.CharField(max_length=255, null=True, verbose_name='Ответ')),
                ('is_correct', models.BooleanField(choices=[(True, 'Правильный'), (False, 'Неправильный')], default=False)),
            ],
            options={
                'verbose_name': 'ответ',
                'verbose_name_plural': 'Добавить ответы',
            },
        ),
        migrations.CreateModel(
            name='Lesson',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('order', models.PositiveIntegerField(blank=True, null=True, verbose_name='Порядковый номер урока')),
                ('title', models.CharField(max_length=50, verbose_name='Название урока')),
                ('title_ru', models.CharField(max_length=50, null=True, verbose_name='Название урока')),
                ('title_ky', models.CharField(max_length=50, null=True, verbose_name='Название урока')),
            ],
            options={
                'verbose_name': 'урок',
                'verbose_name_plural': 'Редактирование и просмотр уроков',
            },
        ),
        migrations.CreateModel(
            name='Level',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, verbose_name='Название уровня')),
                ('name_ru', models.CharField(max_length=50, null=True, verbose_name='Название уровня')),
                ('name_ky', models.CharField(max_length=50, null=True, verbose_name='Название уровня')),
                ('description', models.CharField(blank=True, max_length=255, null=True, verbose_name='Описание уровня')),
                ('description_ru', models.CharField(blank=True, max_length=255, null=True, verbose_name='Описание уровня')),
                ('description_ky', models.CharField(blank=True, max_length=255, null=True, verbose_name='Описание уровня')),
                ('order', models.PositiveIntegerField(blank=True, null=True, verbose_name='Порядковый номер уровня')),
            ],
            options={
                'verbose_name': 'уровни и уроки',
                'verbose_name_plural': 'Добавление уровней и уроков',
            },
        ),
        migrations.CreateModel(
            name='Question',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('image', models.ImageField(blank=True, null=True, upload_to='level/question_image/', verbose_name='Изображение')),
                ('title', models.CharField(max_length=255, verbose_name='Вопрос')),
                ('title_ru', models.CharField(max_length=255, null=True, verbose_name='Вопрос')),
                ('title_ky', models.CharField(max_length=255, null=True, verbose_name='Вопрос')),
                ('explanation', models.CharField(blank=True, max_length=255, null=True, verbose_name='Пояснение к вопросу')),
                ('explanation_ru', models.CharField(blank=True, max_length=255, null=True, verbose_name='Пояснение к вопросу')),
                ('explanation_ky', models.CharField(blank=True, max_length=255, null=True, verbose_name='Пояснение к вопросу')),
                ('order', models.PositiveIntegerField(blank=True, null=True, verbose_name='Порядковый номер вопроса')),
            ],
            options={
                'verbose_name': 'вопросы и ответы',
                'verbose_name_plural': 'Добавление вопросов и ответов',
            },
        ),
        migrations.CreateModel(
            name='Test',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=50, verbose_name='Название теста')),
                ('title_ru', models.CharField(max_length=50, null=True, verbose_name='Название теста')),
                ('title_ky', models.CharField(max_length=50, null=True, verbose_name='Название теста')),
            ],
            options={
                'verbose_name': 'тест',
                'verbose_name_plural': 'Добавление тестов',
            },
        ),
        migrations.CreateModel(
            name='UserLessonProgress',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('passed', models.BooleanField(default=False)),
                ('streak', models.PositiveIntegerField(default=0)),
                ('correct_answers', models.PositiveIntegerField(default=0)),
                ('wrong_answers', models.PositiveIntegerField(default=0)),
            ],
            options={
                'verbose_name': 'прогресс по уроку',
                'verbose_name_plural': 'прогресс по урокам',
            },
        ),
        migrations.CreateModel(
            name='UserLevelProgress',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('passed', models.BooleanField(default=False)),
                ('level', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='levels.level')),
            ],
            options={
                'verbose_name': 'Прогресс по уровню',
                'verbose_name_plural': 'Прогресс по уровням',
            },
        ),
        migrations.CreateModel(
            name='UserTestProgress',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('passed', models.BooleanField(default=False)),
                ('streak', models.PositiveIntegerField(default=0)),
                ('correct_answers', models.PositiveIntegerField(default=0)),
                ('wrong_answers', models.PositiveIntegerField(default=0)),
                ('final_test', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='user_test_progress', to='levels.test')),
                ('user_level_progress', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='%(class)s', to='levels.userlevelprogress')),
            ],
            options={
                'verbose_name': 'прогресс по тесту',
                'verbose_name_plural': 'прогресс по тестам',
            },
        ),
        migrations.CreateModel(
            name='UserTestQuestionProgress',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('question', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='levels.question')),
                ('user_test_progress', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='user_answer_progress', to='levels.usertestprogress')),
            ],
        ),
        migrations.CreateModel(
            name='UserQuestionProgress',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('question', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='levels.question')),
                ('user_lesson_progress', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='user_answer_progress', to='levels.userlessonprogress')),
            ],
        ),
    ]
